
import 'package:json_annotation/json_annotation.dart';
part 'Address.g.dart';

@JsonSerializable()
class Address {
  final int id;
  final String? codAddress;
  final int idBar;
  final String? codBar;
  final String street;
  final String state;
  final int zipCode;
  final double latitude;
  final double longitude;


  const Address({
    required this.id,
    required this.codAddress,
    required this.idBar,
    required this.codBar,
    required this.street,
    required this.state,
    required this.zipCode,
    required this.latitude,
    required this.longitude,
  });

  factory Address.fromJson(Map<String, dynamic> json) => _$AddressFromJson(json);
  Map<String, dynamic> toJson() => _$AddressToJson(this);

  static Address emptyAddress(){
    return const Address(
      id: 0,
      codAddress: '',
      idBar: 0,
      codBar: '',
      street: '',
      state: '',
      zipCode: 0,
      latitude: 0.0,
      longitude: 0.0,
    );
  }

}