import 'dart:convert';

import 'package:bar_tender_api_dart/src/apiClients/ApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:http/http.dart' as http;

class EntityApiClient<E> extends ApiClient<E> {

  @override
  Future<E> fetch(Model model) async {
    final response = await http.get(Uri.parse(model.urlPath));

    if (response.statusCode == 200) {
      return model.fromJson(jsonDecode(response.body));
    } else {
      throw Exception('Failed to load entity list. ERROR: ${response.statusCode}');
    }
  }

  @override
  Future<http.Response> createOrUpdate(Model model, dynamic object) {
    throw UnimplementedError("Crea o aggiorna non implementato");
  }

}