import 'dart:convert';

import 'package:bar_tender_api_dart/src/apiClients/ApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:http/http.dart' as http;

class ListApiClient<E> extends ApiClient<List<E>> {

  @override
  Future<List<E>> fetch(Model model) async {
    final response = await http.get(Uri.parse(model.urlPath));

    if (response.statusCode == 200) {
      // return jsonDecode(response.body).map((json) => model.fromJson(json)).toList().cast<E>();
      return model.fromJson(jsonDecode(response.body));
    } else {
      throw Exception('Failed to load entity list. ERROR: ${response.statusCode}');
    }
  }

  @override
  Future<http.Response> createOrUpdate(Model model, dynamic object) async {
    throw UnimplementedError("Update not implemented");
  }
}