
import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:flutter/cupertino.dart';
import 'package:json_annotation/json_annotation.dart';
part 'Bar.g.dart';

@JsonSerializable()
class Bar {
  final int id;
  final String? codBar;
  final String name;
  final String status;
  final String color;
  final String textColor;
  final String imageUrl;
  final String description;
  @JsonKey(includeFromJson: false)
  NetworkImage _networkImage;

  Bar({
    required this.id,
    required this.codBar,
    required this.name,
    required this.status,
    required this.color,
    required this.textColor,
    required this.imageUrl,
    required this.description,
  }) : _networkImage = const NetworkImage('');

  NetworkImage getNetworkImage() {
    if (_networkImage.url.isEmpty) {
      _networkImage = NetworkImage("${IMAGE_API_PATH}bar/$imageUrl");
    }
    return _networkImage;
  }

  factory Bar.fromJson(Map<String, dynamic> json) => _$BarFromJson(json);
  Map<String, dynamic> toJson() => _$BarToJson(this);

  static Bar empty(){
    return Bar(
      id: 0,
      codBar: '',
      name: '',
      status: '',
      color: '',
      textColor: '',
      imageUrl: '',
      description: '',
    );
  }

}