
import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/drink/Drink.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

class BarDrinkModel extends ListModel<Drink> {

  BarDrinkModel(int? idBar): super(urlPath: _buildUrl(idBar));

  static String _buildUrl(int? idBar) {
    final barIdParam = idBar != null ? "idBar=$idBar" : "";
    return "$BAR_API_PATH?$barIdParam";
  }

  @override
  String toJson(List<Drink> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<Drink> fromJson(dynamic json) => json.map((value) => Drink.fromJson(value));

}