import 'package:bar_tender_api_dart/src/address/Address.dart';
import 'package:bar_tender_api_dart/src/bar/Bar.dart';
import 'package:bar_tender_api_dart/src/dispenser/DispenserWithIngredients.dart';
import 'package:bar_tender_api_dart/src/recipe_item/RecipeItem.dart';
import 'package:bar_tender_api_dart/src/review/Review.dart';
import 'package:json_annotation/json_annotation.dart';

part "BarUnified.g.dart";

@JsonSerializable()
class BarUnified {

  final Bar bar;
  final Address address;
  final Map<int, Review> reviews;
  @JsonKey(defaultValue: {})
  final Map<int, RecipeItem> recipesItemBarCustom;
  @JsonKey(defaultValue: {})
  final Map<int, DispenserWithIngredients>? dispensersWithIngredients;

  const BarUnified ({
    required this.bar,
    required this.address,
    required this.reviews,
    required this.recipesItemBarCustom,
    required this.dispensersWithIngredients
  });

  factory BarUnified.fromJson(Map<String, dynamic> json) => _$BarUnifiedFromJson(json);
  Map<String, dynamic> toJson() => _$BarUnifiedToJson(this);

  static BarUnified empty(){
    return BarUnified(
      bar: Bar.empty(),
      address: Address.emptyAddress(),
      reviews: {},
      recipesItemBarCustom: {},
      dispensersWithIngredients: {}
    );
  }

}