
import 'dart:convert';

import 'package:bar_tender_api_dart/src/apiClients/EntityApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:bar_tender_api_dart/src/barUnified/BarUnified.dart';
import 'package:bar_tender_api_dart/src/barUnified/BarsMap.dart';
import 'package:bar_tender_api_dart/src/paths.dart';


class BarUnifiedModel extends Model<BarsMap> {

  BarUnifiedModel(int? idBar,)
      : super(apiClient: EntityApiClient<BarsMap>(), value: BarsMap.empty(), urlPath: _buildUrl(idBar));

  static String _buildUrl(int? idBar) {
    // final barIdParam = idBar != null ? "idBar=$idBar" : "";
    // return "$UNIFIED_DRINK_ALL_DRINKS_WITH_INGREDIENTS_API_PATH?$barIdParam";
    return UNIFIED_BARS_API_PATH;
  }

  @override
  String toJson(BarsMap element) => jsonEncode(element);

  @override
  BarsMap fromJson(dynamic json) => BarsMap.fromJson(json);

  @override
  List<BarUnified> toList() {
    return value.bars.values.toList();
  }

  @override
  bool isValueEmpty() {
    return value.bars.isEmpty;
  }

}