
import 'package:bar_tender_api_dart/src/drinkUnified/DrinkUnifiedRecipe.dart';
import 'package:bar_tender_api_dart/src/ingredient/Ingredient.dart';
import 'package:json_annotation/json_annotation.dart';
part 'ChartDrinkUnified.g.dart';

@JsonSerializable()
class ChartDrinkUnified {
  final DrinkUnifiedRecipe unifiedDrink;
  final Map<int, Ingredient> ingredients;

  ChartDrinkUnified({
    required this.unifiedDrink,
    required this.ingredients,
  });

  factory ChartDrinkUnified.fromJson(Map<String, dynamic> json) => _$ChartDrinkUnifiedFromJson(json);
  Map<String, dynamic> toJson() => _$ChartDrinkUnifiedToJson(this);

  factory ChartDrinkUnified.empty() {
    return ChartDrinkUnified(
      unifiedDrink: DrinkUnifiedRecipe.empty(),
      ingredients: {}
    );
  }

  Iterable<Ingredient> unifiedDrinkList () {
    return ingredients.values.toList();
  }

}