
import 'package:bar_tender_api_dart/src/bar/Bar.dart';
import 'package:bar_tender_api_dart/src/chartItemUnified/ChartDrinkUnified.dart';
import 'package:bar_tender_api_dart/src/chart_item/ChartItem.dart';
import 'package:bar_tender_api_dart/src/customer/Customer.dart';
import 'package:bar_tender_api_dart/src/dispenser/Dispenser.dart';
import 'package:bar_tender_api_dart/src/dispenser_ingredient/DispenserIngredient.dart';
import 'package:json_annotation/json_annotation.dart';
part 'DrinkOrderUnified.g.dart';

@JsonSerializable()
class DrinkOrderUnified {
  Customer customer;
  List<ChartItem> chartItem;
  Dispenser? dispenserDto;
  Map<int, Bar> barDtos;
  Map<int, ChartDrinkUnified> unifiedDrinkWithIngredientsDto;
  DispenserIngredient? dispensersIngredients;

  DrinkOrderUnified({
    required this.customer,
    required this.chartItem,
    required this.dispenserDto,
    required this.barDtos,
    required this.unifiedDrinkWithIngredientsDto,
    required this.dispensersIngredients,
  });

  factory DrinkOrderUnified.fromJson(Map<String, dynamic> json) => _$DrinkOrderUnifiedFromJson(json);
  Map<String, dynamic> toJson() => _$DrinkOrderUnifiedToJson(this);

  factory DrinkOrderUnified.empty(){
    return DrinkOrderUnified(
      customer: Customer.empty(),
      chartItem: [],
      dispenserDto: null,
      barDtos: {},
      unifiedDrinkWithIngredientsDto: {},
      dispensersIngredients: DispenserIngredient.empty(),
    );
  }

}