
import 'package:json_annotation/json_annotation.dart';
part 'ChartItem.g.dart';

@JsonSerializable()
class ChartItem {
  int? id;
  final int idDrink;
  int idCustomer;
  int? idCup;
  int? idBar;
  int? idDispenser;
  final double price;
  final double volume;
  final bool custom;
  final int distributionOrder;


  ChartItem({
    required this.id,
    required this.idDrink,
    required this.idCustomer,
    required this.idCup,
    required this.idBar,
    required this.idDispenser,
    required this.price,
    required this.volume,
    required this.custom,
    required this.distributionOrder,
  });

  factory ChartItem.fromJson(Map<String, dynamic> json) => _$ChartItemFromJson(json);
  Map<String, dynamic> toJson() => _$ChartItemToJson(this);

  factory ChartItem.empty(){
    return ChartItem(
      id: null,
      idDrink: 0,
      idCustomer: 0,
      idCup: null,
      idBar: 0,
      idDispenser: null,
      price: 0.0,
      volume: 0.0,
      custom: false,
      distributionOrder: 0,
    );
  }

  factory ChartItem.copy(ChartItem toCopy){
    return ChartItem(
      id: toCopy.id,
      idDrink: toCopy.idDrink,
      idCustomer: toCopy.idCustomer,
      idCup: toCopy.idCup,
      idBar: toCopy.idBar,
      idDispenser: toCopy.idDispenser,
      price: toCopy.price,
      volume: toCopy.volume,
      custom: toCopy.custom,
      distributionOrder: toCopy.distributionOrder,
    );
  }

}