import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:flutter/material.dart';
import 'package:json_annotation/json_annotation.dart';
part 'Customer.g.dart';

@JsonSerializable()
class Customer {
  final int id;
  final String? codCustomer;
  final String username;
  final String password;
  final double credit;
  final int orderedDrinks;
  final int withdrawnDrinks;
  final String imageUrl;
  final String bio;
  @JsonKey(includeFromJson: false)
  NetworkImage _networkImage;

  Customer({
    required this.id,
    required this.codCustomer,
    required this.username,
    required this.password,
    required this.credit,
    required this.orderedDrinks,
    required this.withdrawnDrinks,
    required this.imageUrl,
    required this.bio,
  }) : _networkImage = const NetworkImage('');

  NetworkImage getNetworkImage() {
    if (_networkImage.url.isEmpty) {
      _networkImage = NetworkImage("${IMAGE_API_PATH}bar/$imageUrl");
    }
    return _networkImage;
  }

  factory Customer.fromJson(Map<String, dynamic> json) => _$CustomerFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerToJson(this);

  static Customer empty(){
    return Customer(
      id: 0,
      codCustomer: '',
      username: '',
      password: '',
      credit: 0.0,
      orderedDrinks: 0,
      withdrawnDrinks: 0,
      imageUrl: '',
      bio: '',
    );
  }

}