import 'dart:convert';


import 'package:bar_tender_api_dart/src/apiClients/EntityApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

import 'Customer.dart';

class CustomerModel extends Model<Customer> {

  CustomerModel(String username, String password): super(urlPath: _buildUrl(username, password), apiClient: EntityApiClient(), value: Customer.empty());

  static String _buildUrl(String username, String password) {
    return "$CUSTOMER_API_PATH?username=$username&password=$password";
  }

  void updateUrl(String username, String password) {
    urlPath = _buildUrl(username, password);
  }

  @override
  String toJson(Customer element) => jsonEncode(element);

  @override
  Customer fromJson(dynamic json) => Customer.fromJson(json);

  @override
  bool isValueEmpty() => identical(value, Customer.empty());

  @override
  List toList() => [value];

}