import 'package:bar_tender_api_dart/src/chart_item/ChartItem.dart';
import 'package:bar_tender_api_dart/src/cup/Cup.dart';
import 'package:bar_tender_api_dart/src/customer/Customer.dart';
import 'package:bar_tender_api_dart/src/customer_role/CustomerRole.dart';
import 'package:bar_tender_api_dart/src/dispenser/DispenserWithIngredients.dart';
import 'package:bar_tender_api_dart/src/id_card/IdCard.dart';
import 'package:bar_tender_api_dart/src/recipe_item/RecipeItem.dart';
import 'package:bar_tender_api_dart/src/review/Review.dart';
import 'package:json_annotation/json_annotation.dart';
part 'CustomerUnified.g.dart';

@JsonSerializable()
class CustomerUnified {

  Customer customer;
  Map<int, RecipeItem> recipeItemCustom;
  Map<int, Review> review;
  List<ChartItem> chartItem;
  Map<int, Cup> cup;
  @JsonKey(defaultValue: {})
  Map<int, CustomerRole> customerRole;
  @JsonKey(defaultValue: {})
  Map<int, IdCard> idCard;
  @JsonKey(defaultValue: {})
  final Map<int, DispenserWithIngredients>? dispensersWithIngredients;

  CustomerUnified({
    required this.customer,
    required this.recipeItemCustom,
    required this.review,
    required this.chartItem,
    required this.cup,
    required this.customerRole,
    required this.idCard,
    required this.dispensersWithIngredients
  });

  factory CustomerUnified.fromJson(Map<String, dynamic> json) => _$CustomerUnifiedFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerUnifiedToJson(this);

  static CustomerUnified empty(){
    return CustomerUnified(
      customer: Customer.empty(),
      recipeItemCustom: {},
      review: {},
      chartItem: [],
      cup: {},
      customerRole: {},
      idCard: {},
      dispensersWithIngredients: {}
    );
  }

}