import 'dart:convert';

import 'package:bar_tender_api_dart/src/customerUnified/CustomerUnified.dart';
import 'package:bar_tender_api_dart/src/apiClients/EntityApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:http/http.dart' as http;

class CustomerUnifiedApiClient extends EntityApiClient<CustomerUnified> {

  final String updateQueuePath = "${API_PATH}chart_item/";

  @override
  Future<http.Response> createOrUpdate(Model model, dynamic object) {
    final url = Uri.parse(updateQueuePath);
    print(jsonEncode(object));
    return http.post(
      url,
      headers: headers,
      body: jsonEncode(object),
    );
  }

}