import 'dart:convert';


import 'package:bar_tender_api_dart/src/apiClients/EntityApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

import 'CustomerRole.dart';

class CustomerRoleModel extends Model<CustomerRole> {

  CustomerRoleModel(String id): super(urlPath: CUSTOMER_ROLE_API_PATH, apiClient: EntityApiClient(), value: CustomerRole.empty());

  static String _buildUrl(String id) {
    return "$CUSTOMER_ROLE_API_PATH/$id";
  }

  void updateUrl(String id) {
    urlPath = _buildUrl(id);
  }

  @override
  String toJson(CustomerRole element) => jsonEncode(element);

  @override
  CustomerRole fromJson(dynamic json) => CustomerRole.fromJson(json);

  @override
  bool isValueEmpty() => identical(value, CustomerRole.empty());

  @override
  List toList() => [value];

}