import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:flutter/cupertino.dart';
import 'package:json_annotation/json_annotation.dart';
part 'Dispenser.g.dart';

@JsonSerializable()
class Dispenser {
  final int id;
  final String? codDispenser;
  final int? idBar;
  final String? codBar;
  final int? idCustomer;
  final String? codCustomer;
  final String name;
  final int valvesNumber;
  final String imageUrl;
  @JsonKey(includeFromJson: false)
  NetworkImage _networkImage;

  Dispenser({
    required this.id,
    required this.codDispenser,
    required this.idBar,
    required this.codBar,
    required this.idCustomer,
    required this.codCustomer,
    required this.name,
    required this.valvesNumber,
    required this.imageUrl,
  }) : _networkImage = const NetworkImage("");

  NetworkImage getNetworkImage() {
    if (_networkImage.url.isEmpty) {
      _networkImage = NetworkImage("${IMAGE_API_PATH}dispenser/$imageUrl");
    }
    return _networkImage;
  }

  factory Dispenser.fromJson(Map<String, dynamic> json) => _$DispenserFromJson(json);
  Map<String, dynamic> toJson() => _$DispenserToJson(this);

  factory Dispenser.empty(){
    return Dispenser(
      id: 0,
      codDispenser: '',
      idBar: 0,
      codBar: '',
      idCustomer: 0,
      codCustomer: '',
      name: '',
      valvesNumber: 0,
      imageUrl: '',
    );
  }

}