import 'package:json_annotation/json_annotation.dart';
part 'DispenserIngredient.g.dart';

@JsonSerializable()
class DispenserIngredient {
  int id;
  String? codDispenserIngredient;
  int idIngredient;
  String? codIngredient;
  int idDispenser;
  String? codDispenser;
  int containerVolume;
  int availableVolume;
  @JsonKey(defaultValue: 0)
  int valveNumber;


  DispenserIngredient({
    required this.id,
    required this.codDispenserIngredient,
    required this.idIngredient,
    required this.codIngredient,
    required this.idDispenser,
    required this.codDispenser,
    required this.containerVolume,
    required this.availableVolume,
    required this.valveNumber,
  });

  factory DispenserIngredient.fromJson(Map<String, dynamic> json) => _$DispenserIngredientFromJson(json);
  Map<String, dynamic> toJson() => _$DispenserIngredientToJson(this);

  factory DispenserIngredient.empty(){
    return DispenserIngredient(
      id: 0,
      codDispenserIngredient: '',
      idIngredient: 0,
      codIngredient: '',
      idDispenser: 0,
      codDispenser: '',
      containerVolume: 0,
      availableVolume: 0,
      valveNumber: 0
    );
  }

  factory DispenserIngredient.copy(DispenserIngredient dispenserIngredient){
    return DispenserIngredient(
      id: dispenserIngredient.id,
      codDispenserIngredient: dispenserIngredient.codDispenser,
      idIngredient: dispenserIngredient.idIngredient,
      codIngredient: dispenserIngredient.codIngredient,
      idDispenser: dispenserIngredient.idDispenser,
      codDispenser: dispenserIngredient.codDispenser,
      containerVolume: dispenserIngredient.containerVolume,
      availableVolume: dispenserIngredient.availableVolume,
      valveNumber: dispenserIngredient.valveNumber,
    );
  }

}