import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/dispenser_ingredient/DispenserIngredient.dart';
import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:http/http.dart';

class DispenserIngredientModel extends ListModel<DispenserIngredient> {

  int idDispenser = 0;

  DispenserIngredientModel(this.idDispenser) :
        super(urlPath: _buildUrl(idDispenser));

  static String _buildUrl(int idDispenser) {
    return "${DISPENSER_INGREDIENT_API_PATH}find_by_id_dispenser?id_dispenser=$idDispenser";
  }

  String updateUrl (int idDispenser) {
    this.idDispenser = idDispenser;
    urlPath = _buildUrl(idDispenser);
    return urlPath;
  }

  @override
  List<DispenserIngredient> fromJson(dynamic json) => (json as List).map((value) => DispenserIngredient.fromJson(value)).toList();

  Future<Response> postItem (DispenserIngredient dispenserIngredient) {
    return apiClient.genericPost(DISPENSER_INGREDIENT_API_PATH, jsonEncode(dispenserIngredient));
  }

  Future<Response> updateItem (DispenserIngredient dispenserIngredient) {
    return apiClient.genericPost("${DISPENSER_INGREDIENT_API_PATH}update", jsonEncode(dispenserIngredient));
  }

  Future<Response> removeItem (int id) {
    return apiClient.genericDelete("$DISPENSER_INGREDIENT_API_PATH$id", null);
  }

}