
import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:flutter/cupertino.dart';
import 'package:json_annotation/json_annotation.dart';
part 'Drink.g.dart';

@JsonSerializable()
class Drink {
  final int id;
  final String? codDrink;
  final String name;
  final String category;
  final bool isCustom;
  final String color;
  final double defaultVolume;
  final String textColor;
  final String imageUrl;
  final String description;
  @JsonKey(includeFromJson: false)
  NetworkImage _networkImage;

  Drink({
    required this.id,
    required this.codDrink,
    required this.name,
    required this.category,
    required this.isCustom,
    required this.color,
    required this.defaultVolume,
    required this.textColor,
    required this.imageUrl,
    required this.description,
  }) : _networkImage = const NetworkImage('');

  NetworkImage getNetworkImage() {
    if (_networkImage.url.isEmpty) {
      print("Richiesta API");
      _networkImage = NetworkImage("${IMAGE_API_PATH}drink/$imageUrl");
    }
    return _networkImage;
  }

  factory Drink.fromJson(Map<String, dynamic> json) => _$DrinkFromJson(json);
  Map<String, dynamic> toJson() => _$DrinkToJson(this);

  factory Drink.empty() {
    return Drink(
      id: 0,
      codDrink: '',
      name: '',
      category: '',
      isCustom: false,
      color: '',
      defaultVolume: 0,
      textColor: '',
      imageUrl: '',
      description: '',
    );
  }

  factory Drink.copy(Drink drink) {
    return Drink(
      id: drink.id,
      codDrink: drink.codDrink,
      name: drink.name,
      category: drink.category,
      isCustom: drink.isCustom,
      color: drink.color,
      defaultVolume: drink.defaultVolume,
      textColor: drink.textColor,
      imageUrl: drink.imageUrl,
      description: drink.description,
    );
  }

}