
import 'dart:convert';

import 'package:bar_tender_api_dart/src/apiClients/EntityApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:bar_tender_api_dart/src/drinkUnified/DrinkUnified.dart';
import 'package:bar_tender_api_dart/src/drinkUnified/DrinkUnifiedRecipe.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

class DrinkUnifiedModel extends Model<DrinkUnified> {

  int? idBar;

  DrinkUnifiedModel(this.idBar,)
      : super(apiClient: EntityApiClient<DrinkUnified>(), value: DrinkUnified.empty(), urlPath: _buildUrl(idBar));

  static String _buildUrl(int? idBar) {
    var request = "?";
    final barIdParam = idBar != null ? "idBar=$idBar" : "";
    if (barIdParam.isNotEmpty) request = "?$barIdParam";
    return "$UNIFIED_DRINK_ALL_DRINKS_WITH_INGREDIENTS_API_PATH$request";
  }

  void updateUrl(int? idBar) {
    this.idBar = idBar;
    urlPath = _buildUrl(this.idBar);
  }

  @override
  String toJson(DrinkUnified element) => jsonEncode(element);

  @override
  DrinkUnified fromJson(dynamic json) => DrinkUnified.fromJson(json);

  @override
  List<DrinkUnifiedRecipe> toList() {
    return value.unifiedDrinks.values.toList();
  }

  @override
  bool isValueEmpty() {
    return value.unifiedDrinks.isEmpty;
  }

}