import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:flutter/material.dart';
import 'package:json_annotation/json_annotation.dart';

part 'IdCard.g.dart';

@JsonSerializable()
class IdCard {
  final int id;
  final int idCustomer;
  final String? codCard;
  final String cardNumber;
  final String name;
  final String lastName;
  final DateTime birthDate;
  final String birthLocation;
  final String nationality;
  final String imageUrl;
  @JsonKey(includeFromJson: false)
  NetworkImage _networkImage;

  IdCard({
    required this.id,
    required this.idCustomer,
    required this.codCard,
    required this.cardNumber,
    required this.name,
    required this.lastName,
    required this.birthDate,
    required this.birthLocation,
    required this.nationality,
    required this.imageUrl,
  }) : _networkImage = const NetworkImage('');

  NetworkImage getNetworkImage() {
    if (_networkImage.url.isEmpty) {
      _networkImage = NetworkImage("${IMAGE_API_PATH}idcard/$imageUrl");
    }
    return _networkImage;
  }

  factory IdCard.fromJson(Map<String, dynamic> json) => _$IdCardFromJson(json);
  Map<String, dynamic> toJson() => _$IdCardToJson(this);

  factory IdCard.empty(){
    return IdCard(
      id: 0,
      idCustomer: 0,
      codCard: '',
      cardNumber: '',
      name: '',
      lastName: '',
      birthDate: DateTime(0001, 1, 1),
      birthLocation: '',
      nationality: '',
      imageUrl: '',
    );
  }

}