import 'package:bar_tender_api_dart/src/paths.dart';
import 'package:flutter/material.dart';
import 'package:json_annotation/json_annotation.dart';
part 'Ingredient.g.dart';

@JsonSerializable()
class Ingredient {
  final int id;
  final String? codIngredient;
  final String name;
  final String typology;
  double alcoholicPercentage;
  final String consistency;
  final String color;
  final String imageUrl;
  final String description;
  @JsonKey(includeFromJson: false)
  NetworkImage _networkImage;

  Ingredient({
    required this.id,
    required this.codIngredient,
    required this.name,
    required this.typology,
    required this.alcoholicPercentage,
    required this.consistency,
    required this.color,
    required this.imageUrl,
    required this.description,
  }) : _networkImage = const NetworkImage('');

  NetworkImage getNetworkImage() {
    if (_networkImage.url.isEmpty) {
      _networkImage = NetworkImage("${IMAGE_API_PATH}bar/$imageUrl");
    }
    return _networkImage;
  }

  factory Ingredient.fromJson(Map<String, dynamic> json) => _$IngredientFromJson(json);
  Map<String, dynamic> toJson() => _$IngredientToJson(this);


  factory Ingredient.empty() {
    return Ingredient(
      id: 0,
      codIngredient: '',
      name: 'Not Found',
      typology: '',
      alcoholicPercentage: 0,
      consistency: '',
      color: '',
      imageUrl: '',
      description: '',
    );
  }
}