import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/ingredient/Ingredient.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

class IngredientModel extends ListModel<Ingredient> {

  IngredientModel(): super(urlPath: INGREDIENT_API_PATH);

  @override
  String toJson(List<Ingredient> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<Ingredient> fromJson(dynamic json) => (json as List).map((value) => Ingredient.fromJson(value)).toList();

}