

import 'package:bar_tender_api_dart/src/apiClients/ListApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';

abstract class ListModel<E> extends Model<List<E>> {

  ListModel({
    required String urlPath,
  }) : super(urlPath: urlPath, apiClient: ListApiClient<E>(), value: [].cast());

  @override
  bool isValueEmpty() {
    return value.isEmpty;
  }

  @override
  List<E> toList() {
    return value;
  }

  void remove(int index) {
    value.removeAt(index);
    notifyListeners();
  }

}