import 'package:json_annotation/json_annotation.dart';

part 'RecipeItem.g.dart';

@JsonSerializable()
class RecipeItem {
  final int id;
  final String? codRecipeItem;
  final int idDrink;
  final String? codDrink;
  final int idIngredient;
  final String? codIngredient;
  double quantityPercent;
  final int sequencePosition;


  RecipeItem({
    required this.id,
    required this.codRecipeItem,
    required this.idDrink,
    required this.codDrink,
    required this.idIngredient,
    required this.codIngredient,
    required this.quantityPercent,
    required this.sequencePosition,

  }) ;

  factory RecipeItem.fromJson(Map<String, dynamic> json) => _$RecipeItemFromJson(json);
  Map<String, dynamic> toJson() => _$RecipeItemToJson(this);

  factory RecipeItem.empty(){
    return RecipeItem(
      id: 0,
      codRecipeItem: '',
      idDrink: 0,
      codDrink: '',
      idIngredient: 0,
      codIngredient: '',
      quantityPercent: 0.0,
      sequencePosition: 0,

    );
  }

  factory RecipeItem.copy(RecipeItem recipeItem){
    return RecipeItem(
      id: recipeItem.id,
      codRecipeItem:  recipeItem.codRecipeItem,
      idDrink: recipeItem.idDrink,
      codDrink:  recipeItem.codDrink,
      idIngredient: recipeItem.idIngredient,
      codIngredient: recipeItem.codIngredient,
      quantityPercent: recipeItem.quantityPercent,
      sequencePosition: recipeItem.sequencePosition,
    );
  }

}