
import 'package:json_annotation/json_annotation.dart';
part 'RecipeItemBarCustom.g.dart';

@JsonSerializable()
class RecipeItemBarCustom {
  final int id;
  final String? codRecipeItem;
  final int idDrink;
  final String? codDrink;
  final int idIngredient;
  final String? codIngredient;
  final int idBar;
  final String? codBar;
  final double quantityPercent;
  final int sequencePosition;


  const RecipeItemBarCustom({
    required this.id,
    required this.codRecipeItem,
    required this.idDrink,
    required this.codDrink,
    required this.idIngredient,
    required this.codIngredient,
    required this.idBar,
    required this.codBar,
    required this.quantityPercent,
    required this.sequencePosition,
  });

  factory RecipeItemBarCustom.fromJson(Map<String, dynamic> json) => _$RecipeItemBarCustomFromJson(json);
  Map<String, dynamic> toJson() => _$RecipeItemBarCustomToJson(this);

  factory RecipeItemBarCustom.empty(){
    return const RecipeItemBarCustom(
      id: 0,
      codRecipeItem: '',
      idDrink: 0,
      codDrink: '',
      idIngredient: 0,
      codIngredient: '',
      idBar: 0,
      codBar: '',
      quantityPercent: 0.0,
      sequencePosition: 0,
    );
  }

  factory RecipeItemBarCustom.copy(RecipeItemBarCustom recipeItemBarCustom){
    return RecipeItemBarCustom(
      id: recipeItemBarCustom.id,
      codRecipeItem: recipeItemBarCustom.codRecipeItem,
      idDrink: recipeItemBarCustom.idDrink,
      codDrink: recipeItemBarCustom.codDrink,
      idIngredient: recipeItemBarCustom.idIngredient,
      codIngredient: recipeItemBarCustom.codIngredient,
      idBar: recipeItemBarCustom.idBar,
      codBar: recipeItemBarCustom.codBar,
      quantityPercent: recipeItemBarCustom.quantityPercent,
      sequencePosition: recipeItemBarCustom.sequencePosition,
    );
  }

}