import 'package:json_annotation/json_annotation.dart';

part 'SimpleDispenserIngredient.g.dart';

@JsonSerializable()
class SimpleDispenserIngredient {

  int dispenserIngredientId;
  int ingredientId;
  String ingredientName;
  int dispenserId;
  String dispenserName;
  int barId;
  String barName;
  int customerId;
  String customerName;

  SimpleDispenserIngredient({
    required this.dispenserIngredientId,
    required this.ingredientId,
    required this.ingredientName,
    required this.dispenserId,
    required this.dispenserName,
    required this.barId,
    required this.barName,
    required this.customerId,
    required this.customerName
  });

  factory SimpleDispenserIngredient.fromJson(Map<String, dynamic> json) => _$SimpleDispenserIngredientFromJson(json);
  Map<String, dynamic> toJson() => _$SimpleDispenserIngredientToJson(this);

  factory SimpleDispenserIngredient.empty(){
    return SimpleDispenserIngredient(
        dispenserIngredientId: 0,
        ingredientId: 0,
        ingredientName: "",
        dispenserId: 0,
        dispenserName: "",
        barId: 0,
        barName: "",
        customerId: 0,
        customerName: ""
    );
  }

}