
import 'package:flutter/material.dart';

class ColorUtils {
  static Color stringToColor(String colorString, {Color baseColor = Colors.transparent}) {
    try {
      if (colorString.startsWith('#')) {
        // Hexadecimal format
        colorString = colorString.replaceAll('#', '');
        return Color(int.parse(colorString, radix: 16)).withOpacity(1.0);
      } else if (colorString.length == 6) {
        // Hexadecimal format without '#', e.g., "5580e6"
        return Color(int.parse(colorString, radix: 16)).withOpacity(1.0);
      }
    } catch (e) {
      // Handle the FormatException and return a transparent color
      print("Error parsing color: $e");
    }

    // Return a transparent color by default
    return baseColor;
  }
}