import 'package:flutter/material.dart';

class ImageWithContents extends StatelessWidget {

  final NetworkImage image;
  final Widget topRight;
  final Widget topLeft;
  final double? height;

  ImageWithContents({
    super.key,
    required this.image,
    Widget? topRight,
    Widget? topLeft,
    this.height,
  })  : topRight = topRight ?? Container(),
        topLeft = topLeft ?? Container()
  ;

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Padding(
          padding: const EdgeInsets.symmetric(vertical: 8.0),
          child: height == null ?
            Image(
              image: image,
              fit: BoxFit.fill,
            ) :
          Image(
            image: image,
            height: height,
            fit: BoxFit.fill,
          )
        ),

        // Next, add the button to the upper right corner using Positioned widget.
        Positioned(
          top: 0.0,            // Adjust the top margin as needed.
          right: 0.0,          // Adjust the right margin as needed.
          child: topRight
        ),
        Positioned(
            top: 0.0,   // Adjust the top margin as needed.
            left: 0.0,         // Adjust the right margin as needed.
            child: topLeft
        ),
      ],
    );
  }
}