import 'package:flutter/material.dart';

class TenderButton extends StatelessWidget {

  final VoidCallback onTap;
  final Widget child;
  final Color color;
  final ShapeBorder externalShape;
  final ShapeBorder internalShape;
  final double? width;
  final double? height;
  final double? elevation;

  TenderButton({super.key, 
    required this.onTap,
    required this.child,
    this.color = Colors.blue,
    this.width,
    this.height,
    this.elevation = 4,
    ShapeBorder? externalShape,
    ShapeBorder? internalShape,
  }) :
    internalShape = internalShape ?? StadiumBorder(side: BorderSide(color: color, width: 4)), // Use the same shape for decorationBorder
    externalShape = externalShape ?? const StadiumBorder();

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: elevation,
      shape: externalShape,
      child: InkWell(
        customBorder: externalShape,
        onTap: onTap,
        child: Padding(
          padding: const EdgeInsets.all(3.0),
          child: Ink(
            width: width,
            height: height,
            decoration: ShapeDecoration(
              shape: internalShape
            ),
            child: Center(child: child),
          ),
        ),
      ),
    );
  }

}