
import 'package:flutter/material.dart';
import '../TenderButton/TenderButton.dart';

class TenderIconButton extends TenderButton {

  TenderIconButton({
    required VoidCallback onTap,
    required IconData icon,
    Color color = Colors.red,
    double diameter = 50,
    ShapeDecoration? internalShape,
    ShapeDecoration? externalShape,
  }) : super(
    onTap: onTap,
    child: Icon(
      icon,
      color: color, // Adjust color as needed
      size: diameter/2,
    ),
    width: diameter,
    height: diameter,
    color: color,
    internalShape: CircleBorder(side: BorderSide(color: color, width: 4)),
    externalShape: const CircleBorder()
  );

}