import 'package:flutter/material.dart';

/// Serve per wrappere un child intorno al colore primario.
/// stadium: Specidica se si vuole avvolgere il contenuto in una pill o in un circle
class TenderWrapper extends StatelessWidget {
  final Widget child;
  final double? height;
  final EdgeInsetsGeometry? padding;
  final ShapeBorder shape;
  Color? color;

  TenderWrapper({
    super.key,
    required this.child,
    required this.shape,
    this.padding,
    this.height,
    this.color,
  });

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: 4,
      shape: shape,
      color: color ?? Theme.of(context).colorScheme.primaryContainer,
      child: Ink(
        padding: padding,
        height: height,
        child: child,
      ),
    );
  }

}